## Apache Zeta Components Manual :: File Source for request_accept.php

## Source for file request_accept.php

Documentation is available at request_accept.php

1. <?php
2. /**
3. * File containing the ezcMvcRequestAccept class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * Struct which defines client-acceptable contents.
30. *
31. * @package MvcTools
32. * @version //autogentag//
33. */
34. class ezcMvcRequestAccept extends ezcBaseStruct
35. {
36. /**
37. * Request content types.
38. *
39. * @var array
40. */
41. public $types ;
43. /**
44. * Acceptable charsets.
45. *
46. * @var array
47. */
48. public $charsets ;
50. /**
51. * Request languages.
52. *
53. * @var array
54. */
55. public $languages ;
57. /**
58. * Acceptable encodings.
59. *
60. * @var array
61. */
62. public $encodings ;
64. /**
65. * Constructs a new ezcMvcRequestAccept.
66. *
67. * @param array $types
68. * @param array $charsets
69. * @param array $languages
70. * @param array $encodings
71. */
72. public function __construct ( $types = array(),
73. $charsets = array(), $languages = array(), $encodings = array() )
74. {
75. $this-> types = $types;
76. $this-> charsets = $charsets;
77. $this-> languages = $languages;
78. $this-> encodings = $encodings;
79. }
81. /**
82. * Returns a new instance of this class with the data specified by $array.
83. *
84. * $array contains all the data members of this class in the form:
85. * array('member_name'=>value).
86. *
87. * __set_state makes this class exportable with var_export.
88. * var_export() generates code, that calls this method when it
89. * is parsed with PHP.
90. *
91. * @param array(string=>mixed) $array
92. * @return ezcMvcRequestAccept
93. */
94. static public function __set_state ( array $array )
95. {
96. return new ezcMvcRequestAccept( $array['types'], $array['charsets'],
97. $array['languages'], $array['encodings'] );
98. }
99. }
100. ?>

Documentation generated by phpDocumentor 1.4.3